Eclipse Platform Release 3.7

## org.eclipse.debug.core.model
Class LineBreakpoint

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.debug.core.model.Breakpoint
              org.eclipse.debug.core.model.LineBreakpoint

All Implemented Interfaces:
  IAdaptable, IBreakpoint, ILineBreakpoint

    public abstract class LineBreakpoint

extends Breakpoint
implements ILineBreakpoint

Abstract implementation of a line breakpoint. This class is intended to be subclassed by debug model specific implementations of line breakpoints.

See Also:
  `ILineBreakpoint`

Field Summary

Fields inherited from interface org.eclipse.debug.core.model.IBreakpoint
`BREAKPOINT_MARKER, ENABLED, ID, LINE_BREAKPOINT_MARKER, PERSISTED, REGISTERED`

Constructor Summary
`LineBreakpoint()`

Method Summary
`int` `getCharEnd()` Returns ending source index in the original source that corresponds to the location of this breakpoint, or -1 if the attribute is not present.
`int` `getCharStart()` Returns starting source index in the original source that corresponds to the location of this breakpoint, or -1 if the attribute is not present.
`int` `getLineNumber()` Returns the line number in the original source that corresponds to the location of this breakpoint, or -1 if the attribute is not present.

Methods inherited from class org.eclipse.debug.core.model.Breakpoint
`delete, ensureMarker, equals, getMarker, getMarkerRule, getMarkerRule, hashCode, isEnabled, isPersisted, isRegistered, markerExists, run, setAttribute, setAttribute, setAttribute, setAttributes, setAttributes, setEnabled, setMarker, setPersisted, setRegistered`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.debug.core.model.IBreakpoint
`delete, getMarker, getModelIdentifier, isEnabled, isPersisted, isRegistered, setEnabled, setMarker, setPersisted, setRegistered`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### LineBreakpoint

    public LineBreakpoint()

Method Detail

### getLineNumber

    public int getLineNumber()
                      throws CoreException

  Description copied from interface: `ILineBreakpoint`
  Returns the line number in the original source that corresponds to the location of this breakpoint, or -1 if the attribute is not present.

  Specified by:
    `getLineNumber` in interface `ILineBreakpoint`
  Returns:
    this breakpoint's line number, or -1 if unknown
  Throws:
    `CoreException` - if a `CoreException` is thrown while accessing the underlying `IMarker.LINE_NUMBER` marker attribute
  See Also:
    `ILineBreakpoint.getLineNumber()`

### getCharStart

    public int getCharStart()
                     throws CoreException

  Description copied from interface: `ILineBreakpoint`
  Returns starting source index in the original source that corresponds to the location of this breakpoint, or -1 if the attribute is not present.

  Specified by:
    `getCharStart` in interface `ILineBreakpoint`
  Returns:
    this breakpoint's char start value, or -1 if unknown
  Throws:
    `CoreException` - if a `CoreException` is thrown while accessing the underlying `IMarker.CHAR_START` marker attribute
  See Also:
    `ILineBreakpoint.getCharStart()`

### getCharEnd

    public int getCharEnd()
                   throws CoreException

  Description copied from interface: `ILineBreakpoint`
  Returns ending source index in the original source that corresponds to the location of this breakpoint, or -1 if the attribute is not present.

  Specified by:
    `getCharEnd` in interface `ILineBreakpoint`
  Returns:
    this breakpoint's char end value, or -1 if unknown
  Throws:
    `CoreException` - if a `CoreException` is thrown while accessing the underlying `IMarker.CHAR_END` marker attribute
  See Also:
    `ILineBreakpoint.getCharEnd()`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.